# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ShaderSequence Class Reference

A sequence of Shader objects each of which represent a rendering pass. More...

`#include <Effect.hpp>`

Inheritance diagram for vl::ShaderSequence:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| ShaderSequence (Shader *pass1=NULL, Shader *pass2=NULL, Shader *pass3=NULL, Shader *pass4=NULL)
| Constructor.

## Detailed Description

A sequence of Shader objects each of which represent a rendering pass.

Each LOD (level of detail) in an Effect corresponts a ShaderSequence.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::ShaderSequence::ShaderSequence | ( | Shader * | pass1 = `NULL`,
|  | Shader * | pass2 = `NULL`,
|  | Shader * | pass3 = `NULL`,
|  | Shader * | pass4 = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | pass1 | The Shader (if any) to be used for pass #1
  | pass2 | The Shader (if any) to be used for pass #2
  | pass3 | The Shader (if any) to be used for pass #3
  | pass4 | The Shader (if any) to be used for pass #4

## Member Function Documentation

virtual const char* vl::ShaderSequence::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Collection< Shader >.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Effect.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.